Search for from

  1. Search 7.x for from
  2. Search 9.5.x for from
  3. Search 8.9.x for from
  4. Search 10.3.x for from
  5. Other projects
Title Object type File name Summary
UnroutedUrlTest::testFromUri function core/tests/Drupal/Tests/Core/UnroutedUrlTest.php Tests the fromUri() method.
Updater::getUpdaterFromDirectory function core/lib/Drupal/Core/Updater/Updater.php Determines which Updater class can operate on the given directory.
Url::createFromRequest function core/lib/Drupal/Core/Url.php Returns the Url object matching a request.
Url::fromEntityUri function core/lib/Drupal/Core/Url.php Create a new Url object for entity URIs.
Url::fromInternalUri function core/lib/Drupal/Core/Url.php Creates a new Url object for 'internal:' URIs.
Url::fromRoute function core/lib/Drupal/Core/Url.php Creates a new Url object for a URL that has a Drupal route.
Url::fromRouteMatch function core/lib/Drupal/Core/Url.php Creates a new URL object from a route match.
Url::fromRouteUri function core/lib/Drupal/Core/Url.php Creates a new Url object for 'route:' URIs.
Url::fromUri function core/lib/Drupal/Core/Url.php Creates a new Url object from a URI.
Url::fromUserInput function core/lib/Drupal/Core/Url.php Creates a Url object for a relative URI reference submitted by user input.
UrlGenerator::generateFromRoute function core/lib/Drupal/Core/Routing/UrlGenerator.php Generates a URL or path for a specific route based on the given parameters.
UrlGenerator::getInternalPathFromRoute function core/lib/Drupal/Core/Routing/UrlGenerator.php Gets the path of a route.
UrlGenerator::getPathFromRoute function core/lib/Drupal/Core/Routing/UrlGenerator.php Gets the internal path (system path) for a route.
UrlGeneratorInterface::generateFromRoute function core/lib/Drupal/Core/Routing/UrlGeneratorInterface.php Generates a URL or path for a specific route based on the given parameters.
UrlGeneratorInterface::getPathFromRoute function core/lib/Drupal/Core/Routing/UrlGeneratorInterface.php Gets the internal path (system path) for a route.
UrlGeneratorTest::assertGenerateFromRoute function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Asserts \Drupal\Core\Routing\UrlGenerator::generateFromRoute()'s output.
UrlGeneratorTest::testGetPathFromRouteTrailing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation from route with trailing start and end slashes.
UrlGeneratorTest::testGetPathFromRouteWithSubdirectory function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation in a subdirectory.
UrlTest::providerFromInvalidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Data provider for testFromInvalidInternalUri().
UrlTest::providerFromValidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Data provider for testFromValidInternalUri().
UrlTest::providerUrlFromRequestWithQueryParameters function core/tests/Drupal/Tests/Core/UrlTest.php Data provider for testUrlFromRequestWithQueryParameters.
UrlTest::testCreateFromRequest function core/tests/Drupal/Tests/Core/UrlTest.php Tests the createFromRequest method.
UrlTest::testFromInvalidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with an invalid internal: URI.
UrlTest::testFromInvalidUserInput function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUserInput method with invalid paths.
UrlTest::testFromRoutedPathWithInvalidRoute function core/tests/Drupal/Tests/Core/UrlTest.php Tests fromUri() method with a user-entered path not matching any route.
UrlTest::testFromRoutedPathWithValidRoute function core/tests/Drupal/Tests/Core/UrlTest.php Tests fromUri() method with user-entered path matching a valid route.
UrlTest::testFromRouteFront function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromRoute() method with the special <front> path.
UrlTest::testFromRouteMatch function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromRouteMatch() method.
UrlTest::testFromRouteUriWithMissingRouteName function core/tests/Drupal/Tests/Core/UrlTest.php Tests from route uri with missing route name.
UrlTest::testFromUriNumber function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with a base: URI starting with a number.
UrlTest::testFromUserInput function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUserInput method with valid paths.
UrlTest::testFromValidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with a valid internal: URI.
UrlTest::testUrlFromRequest function core/tests/Drupal/Tests/Core/UrlTest.php Tests creating a URL from a request.
UrlTest::testUrlFromRequestInvalid function core/tests/Drupal/Tests/Core/UrlTest.php Tests that an invalid request will thrown an exception.
UrlTest::testUrlFromRequestWithQueryParameters function core/tests/Drupal/Tests/Core/UrlTest.php Tests creating a URL from a request with query parameters.
UserLoginHttpTest::loginFromResetEmail function core/modules/user/tests/src/Functional/UserLoginHttpTest.php Login from reset password email.
ValidationResult::createErrorFromThrowable function core/modules/package_manager/src/ValidationResult.php Creates an error ValidationResult object from a throwable.
views.view.test_argument_tid_from_node.yml file core/modules/taxonomy/tests/modules/taxonomy_test_views/test_views/views.view.test_argument_tid_from_node.yml core/modules/taxonomy/tests/modules/taxonomy_test_views/test_views/views.view.test_argument_tid_from_node.yml
ViewsSelection::stripAdminAndAnchorTagsFromResults function core/modules/views/src/Plugin/EntityReferenceSelection/ViewsSelection.php Strips all admin and anchor tags from a result list.
WebDriverTestBase::installModulesFromClassProperty function core/tests/Drupal/FunctionalJavascriptTests/WebDriverTestBase.php Install modules defined by `static::$modules`.
WorkflowTest::testAddTransitionConsistentAfterFromCatch function core/modules/workflows/tests/src/Unit/WorkflowTest.php Tests add transition consistent after from catch.
WorkflowTest::testAddTransitionMissingFromException function core/modules/workflows/tests/src/Unit/WorkflowTest.php Tests add transition missing from exception.
WorkflowTest::testGetTransitionFromStateToState function core/modules/workflows/tests/src/Unit/WorkflowTest.php Tests get transition from state to state.
WorkflowTest::testGetTransitionFromStateToStateException function core/modules/workflows/tests/src/Unit/WorkflowTest.php Tests get transition from state to state exception.
WorkflowTest::testSetTransitionFromStates function core/modules/workflows/tests/src/Unit/WorkflowTest.php Tests set transition from states.
WorkflowTest::testSetTransitionFromStatesAlreadyExists function core/modules/workflows/tests/src/Unit/WorkflowTest.php Tests set transition from states already exists.
WorkflowTest::testSetTransitionFromStatesMissingState function core/modules/workflows/tests/src/Unit/WorkflowTest.php Tests set transition from states missing state.
WorkflowTest::testSetTransitionFromStatesMissingTransition function core/modules/workflows/tests/src/Unit/WorkflowTest.php Tests set transition from states missing transition.
WorkflowTypeBase::getTransitionFromStateToState function core/modules/workflows/src/Plugin/WorkflowTypeBase.php Gets a transition from state to state.
WorkflowTypeBase::getTransitionIdFromStateToState function core/modules/workflows/src/Plugin/WorkflowTypeBase.php Gets the transition ID from state to state.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.